<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" /> 

 <script type="text/javascript">
   function confirmation() {
     if(confirm("Esta seguro de eliminar la seleccion?"))
     {
        return true;
     }
      return false;
   }
   
   function confirmation1() {
     if(confirm("Esta seguro de terminar el ingreso de Diagnosticos y procedimientos?"))
     {
        return true;
     }
      return false;
   }
 </script>
 
<?php
 include("header.php"); 
 include("select.php");
 include('conexionOdo.php');
 
 
 //////////////////////////VIENE DE HISTORIA
 $le= $_GET['lin'];
 $lin   = base64_decode($le);
 $linea = explode("/", $lin);
 $nConsulta       = $linea[0];
 $s_tipoHistoria  = $linea[1];
 
 session_start();    
 $s_nitEmpresa = $_SESSION['nitEmpresa']; 
 $s_codSede    = $_SESSION['codSede'];
 $s_usuario    = $_SESSION['nombreUsuario'];
 $s_empresa    = $_SESSION['empresaUsuario'];
 $s_cargo      = $_SESSION['cargoUsuario'];
 $s_idUsuario  = $_SESSION['idUsuario']; 
 //paciente
 $s_tipoId     = $_SESSION['e_tipoId'];
 $s_identifica = $_SESSION['e_identifica'];
 
 // trae datos del paciente
 $query = "SELECT CONCAT(nomPaciente, ' ', apell1paciente, ' ', apell2Paciente) AS paciente,RH ".
          " FROM SIME_BAS_PACIENTE ".
          " WHERE tipoId='$s_tipoId' AND idPaciente=$s_identifica ";
 $result = mysql_query($query) or die('Consulta de datos del paciente fallida nnn: ' . mysql_error());
    
 $line = mysql_fetch_array($result, MYSQL_ASSOC);
 $s_paciente = $line["paciente"];
 $s_RH = $line["RH"];
 // Liberar resultados
 mysql_free_result($result); 
 
 if ((isset($_POST["COT_insert"])) && ($_POST["COT_insert"] == "formCot")) 
 {
    //DETALLE DE LA COTIZACION
    $s_cuadrante    = $_POST['cuadrante'];
    $s_diente       = $_POST['diente'];
    $dienteCara     = explode("|", $s_diente); 
    $diente         = $dienteCara[0];
    $cara           = $dienteCara[1];
    $s_cie10        = $_POST['cie10'];
    $s_especialidad = $_POST['especialidad'];
    $s_cups         = $_POST['cups']; 
    $s_observa      = $_POST['observa']; 
    $w_fecha        = date("Y-m-d",time());
    
    if ($s_cuadrante=="TB")
    {
      $diente = 99; 
      $cara   = "TODOS";
    }
    
    if(empty($s_cuadrante) and empty($s_diente)) 
    {//diente/cuadrante
      $error['s_cuadrante'] = 'Debe seleccionar un cuadrante o un diente';
    } // diente/cuadrante
    
    if(!$error)
    { //Validar Campos
      //verifica existencia del procedimiento   
      $sqlCtosDi = "SELECT COUNT(*) AS totDg FROM SIO_DIAPRO_HIS ".
                   "WHERE numConsulta=$nConsulta AND numeroId=$s_identifica AND cuadrante='$s_cuadrante' AND ".
                         " numDiente=$diente AND caraDiente='$cara' AND codCie10='$s_cie10'";
      $resultCtsDi = mysql_query($sqlCtosDi) or die('Consulta de diagnosticos fallida: ' . mysql_error()); 
      $lineCtsDi = mysql_fetch_array($resultCtsDi, MYSQL_ASSOC);
      $ctsDig  = $lineCtsDi["totDg"];
    
      if ($ctsDig == 0)
      {
        $sql_insert = " INSERT INTO SIO_DIAPRO_HIS ".  
                      "(nitEmpresa, codSede, numConsulta, tipoId, numeroId, cuadrante, numDiente, caraDiente, ".
                      " codCie10, codCups, codEspecialidad, observaciones, fechaConsulta, medConsulta )".
            " VALUES ($s_nitEmpresa, $s_codSede, $nConsulta, '$s_tipoId', $s_identifica, '$s_cuadrante', $diente, '$cara',".
                      " '$s_cie10', '$s_cups', '$s_especialidad', '$s_observa', '$w_fecha', $s_idUsuario)"; 
                     // echo $sql_insert;     
        $resultCts = mysql_query($sql_insert) or die('Adicion de diagnostico / proceimeinto fallidos: ' . mysql_error());  
      }     
      else
      {
        echo "Un ingreso no puese ser modificado. Es necesario borrarlo y realizarlo de nuevo.";
      }
         
    }//Validar Campos    
 }//isset
 
 if(isset($_POST['BorrDg']))
 {
   $dg = $_POST['BorrDg'];     
   $dgp  = explode("-", $dg);
   $s_cu = $dgp[0];
   $s_di = $dgp[1]; 
   $s_ca = $dgp[2];
   $s_cie = $dgp[3];     
     
   $s_yaGrabo   = $_POST['yaGrabo'];
   $nConsulta   = $_POST['nConsulta'];
   
   $queryDel  = "DELETE FROM SIO_DIAPRO_HIS ".
                 "WHERE numConsulta=$nConsulta AND numeroId=$s_identifica AND cuadrante='$s_cu' AND ".
                      " numDiente=$s_di AND caraDiente='$s_ca' AND codCie10='$s_cie'";  
   $resultDel = mysql_query($queryDel) or die('Borrar diagnostico fallido: ' . mysql_error());      
 }//BorrarDg   
 
 if(isset($_POST['btnMed']))
 { 
   $medicamento = $_POST['coMed_s'];
   $medObserva  = $_POST['medObserva'];
   $w_fecha        = date("Y-m-d",time());
   
   // VERIFICA EXISTENCIA DE MEDICAMENTOS
   $query = "SELECT count(*) AS numC1 FROM SIO_MEDICAMENTOS where numConsulta=$nConsulta AND codMedPos='$medicamento' ";
   $result = mysql_query($query) or die('Consulta numero de medicamentos fallida: ' . mysql_error());
   //asigna valores a variables de trabajo
   $line = mysql_fetch_array($result, MYSQL_ASSOC);
   $nMed = $line["numC1"];
          
   if ($nMed==0) 
   {    
     // INSERTAR MEDICAMENTOS
     $query = "INSERT INTO SIO_MEDICAMENTOS " .
              "(nitEmpresa, " . 
              "codSede, " . 
              "tipoId, " .
              "idPaciente, ".
              "numConsulta, ".
              "tipoHistoria, ".
              "codMedPos, ".
              "observaciones ) ".
     " VALUES ($s_nitEmpresa, " . 
              "$s_codSede, " .
              "'$s_tipoId', ".
              "$s_identifica, ".
              "$nConsulta, ".
              "'$s_tipoHistoria', ".
              "'$medicamento', ".
              "'$medObserva')";            
     $result = mysql_query($query) or die('Insercion de medicamentos fallida: ' . mysql_error());
   }
   else
   {
     $query = " UPDATE SIO_MEDICAMENTOS SET observaciones = '$medObserva' WHERE numConsulta=$nConsulta AND codMedPos='$medicamento' ";
     $result = mysql_query($query) or die('Modificaci&oacute;n de medicamentos fallida: ' . mysql_error());
   }
       
   // Liberar resultados
   mysql_free_result($result);
} // btnMed

if(isset($_POST['BorrarMed']))
    {
      $nConsulta   = $_POST['nConsulta'];
      $id = $_POST['BorrarMed']; 
      $query = "DELETE FROM SIO_MEDICAMENTOS WHERE codMedPos='$id' AND numConsulta = $nConsulta";
      $result = mysql_query($query) or die('Eliminacion de Medicamentos fallida: ' . mysql_error());
    }
    
?>

<p></p>
    <table width="960" border="0" align="center" cellpadding="0" class="tablaProductos">
      <tr>
        <td align="center" colspan="3">
         <label style="color:#34495e; font-size:14px; border-radius:2px;"><b><?=$mensajeGrabar1?></b></label>
        </td>
      </tr> 
      <tr>
        <td class="titulosTabla" align="center" colspan="3" style="border-radius:3px;">
           HISTORIA CLINICA:  <?=$s_tipoHistoria?> 
        </td>   
      </tr>
      <tr>
        <td width="30%"class="subtutulosTabla" align="center" style="border-radius:3px;" >Paciente:</td>
        <td width="60%" class="titulosTabla1" align="left" >
           <?=$s_tipoId?> No.: <?=$s_identifica?>  - <?=$s_paciente?> 
         </td>
         <td width="10%" class="titulosTabla1">RH: <?=$s_RH?></td>
      </tr>
    </table> 

     <!--- /////////////////////////////////////////////////////////////////////////////
     /////////////////  /DIAGNOSTICOS Y PROCEDIMIENTOS /////////////////////////////////
     /////////////////////////////////////////////////////////////////////////////--->
     
     <form  method="POST" action="" name="formCot" id="formCot" >
        <table width="960" border="0" align="center" cellpadding="0" class="tablaProductos">  
          <tr> 
            <td class="subtutulosTabla" align="center" colspan="5" style="border-radius:3px;"> SELECCIONAR DIAGNOSTICOS Y PROCEDIMIENTOS </td>
          </tr>
          <tr>
            <td class ="negrita">Cuadrante</td>
            <td class ="negrita">Diente / Cara</td>
            <td class ="negrita" colspan="3">Diagn&oacute;stico</td>
          </tr>
          <tr>
            <td>  
              <select name="cuadrante" style="width:220px; height:22px;">
                <option value=""></option>
                <option value="SD">Superior Derecho</option>
                <option value="SI">Superior Izquierdo</option>
                <option value="ID">Inferior Derecho</option>
                <option value="II">Inferior Izquierdo</option>
                <option value="TB">Toda La Boca</option>
              </select>
            </td>
            <td>
              <select name="diente" style="width:220px; height:22px;">
                <?php echo $comboDiente; ?>
              </select>
            </td>
            <td colspan="3">
              <select name="cie10" style="width:320px; height:22px;" required>
                <?php echo $comboCie10; ?>
              </select>
            </td>
          </tr>
          
          <tr>
            <td class ="negrita">Especialidad</td>
            <td colspan="3" class ="negrita">Procedimiento</td>
          </tr>
        
          <tr>
            <td>
              <select name="especialidad" style="width:220px; height:22px;" required>
                <?php echo $comboTratamiento; ?>
              </select>
            </td>   
            <td colspan="3">
              <select name="cups" style="width:320px; height:22px;" required>
                <?php echo $comboCups; ?>
              </select>
            </td>
          </tr>
          
          <tr>
             <td colspan="5" align="left">  
                <textarea class="style-1" placeholder="Observaciones"  style="family-font:Arial;" rows="2" cols="120" wrap="soft" name="observa" id="observa"></textarea>
             </td>
          </tr>
        
          <tr>
            <td colspan="5" align="center">
	     <label align="center" for="enviar"></label>
             <input type="submit" name="enviar" id="enviar" value="ADICIONAR DIAGNOSTICO/PROCEDIMEINTO" style="height:30px; width:400px;"/>
            </td>
          </tr>
        </table>
        
        <input type="hidden" name="COT_insert" value="formCot" /> 
        <input type="hidden" name="yaGrabo" value="<?=$s_yaGrabo?>" />
        <input type="hidden" name="grabaPac" value="<?=$grabaPaciente?>" /> 
        <input type="hidden" name="nvaCotizacion" value="<?=$nvoNroCotiza?>" /> 
     </form>
     
     <?php if ($error) { //validar campos
     ?>
      <p>&nbsp;</p>
      <p>&nbsp;</p>

     <?php
      foreach ($error as $alerta) {
       echo "<script language='JavaScript'> alert('$alerta'); </script>";
       }
      } //validar campos

     ?>
     <p></p> 
     
     <form  method="POST" action="" name="formDet" id="formDet">
     <?php 
      //arma tabla diagnosticos y procedimientoos elegidos
      $query = " SELECT A.*,  B.descripcion, C.nomCie10, D.desTratamiento" .
                  " FROM SIO_DIAPRO_HIS A, SIO_PROC_POS B, SIO_CIE10 C, SIO_LIS_TRAT D ".
                  " WHERE A.numConsulta = $nConsulta AND ".
                  "       A.codCups  = B.cups AND ". 
                  "       A.codCie10 = C.codCie10 AND ".
                  "       A.codEspecialidad = D.codTratamiento order by A.numDiente"; 
      $result = mysql_query($query) or die('Consulta de diagnosticos y procedimientoos fallida: ' . mysql_error());
        
      $k=0;
      while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
          $codMed    = $line["codMedPos"];
          
          $s_cuadrante       = $line['cuadrante'];
          
          if ($s_cuadrante=="SD")
          {
            $s_cua = "SUPERIOR DERECHO";
          }
          if ($s_cuadrante=="SI")
          {
            $s_cua = "SUPERIOR IZQUIERDO";
          }
          if ($s_cuadrante=="ID")
          {
            $s_cua = "INFERIOR DERECHO";
          }
          if ($s_cuadrante=="II")
          {
            $s_cua = "INFERIOR IZQUIERDO";
          }
          if ($s_cuadrante=="TB")
          {
            $s_cua = "TODA LA BOCA";
          }
          
          $s_numDiente       = $line['numDiente'];
          $s_caraDiente      = $line['caraDiente'];
          $_codCie10         = $line['codCie10'];
          $s_nomCie10        = $line['nomCie10'];
          $s_descripcion     = $line['descripcion'];
          $s_desTratamiento  = $line['desTratamiento']; 
          $s_observaciones   = $line['observaciones'];    
          
          echo("<table class='camposTabla' align='center' width='960' border='1' cellpading='0'>\n");
             //echo ("<form method='post' action='historiaClinica.php'>\n");
              if ($k==0){// para mostrar titulos 
                 echo ("<tr>\n");
                   echo   ("<td class='titulosTabla' align='center' colspan='7'>LISTA DE DIAGNOSTICOS Y PROCEDIMIENTOS REALIZADOS</td>\n");
                 echo("</tr>\n");
                 echo("<tr>\n");
                  echo("<td width='15%' class='negrita'>Cuadrante / Diente / Cara /Dg</td>\n");
                  echo("<td width='20%' class='negrita'>Diagn&oacute;stico</td>\n");
                  echo("<td width='25'%' class='negrita'>Procedimiento</td>\n");
                  echo("<td width='15%' class='negrita'>Especialidad</td>\n");
                  echo("<td width='25%' class='negrita'>Observaciones</td>\n"); 
                echo("</tr>\n");
              }       
          echo ("<tr>\n");

           echo("<td width='15%' align='center' class='camposTabla'><input type='submit' id='BorrDg' name='BorrDg' value='$s_cuadrante-$s_numDiente-$s_caraDiente-$_codCie10' style='width:150' onclick='return confirmation()'></td>\n");
            echo("<td width='20%'class='camposTabla1' align='left'>$s_nomCie10</td>\n");
            echo("<td width='25%' class='camposTabla1' align='left'>$s_descripcion</td>\n");
            echo("<td width='15%' class='camposTabla1' align='left'>$s_desTratamiento</td>\n");
            echo("<td width='25%' align='left'>$s_observaciones </td>\n");          
          echo("</tr>\n");
        
          $k = $k+1;
        }//while
      
        if ($k>0)
        {
         $ldg=$nConsulta ."/". $s_tipoId ."/" .$s_identifica;
         $lDP = base64_encode($ldg);
        ?>
        <tr>
          <td align="right" colspan="5"> 
           <a href=imprimeDgPro.php?lin=<?=$lDP?> target='_new'><img src="imagenes/impDiag.jpg"></a>
          </td>
        </tr>
        <?php
        }
        echo("</table>\n");
        // Liberar resultados
        mysql_free_result($result);
      ?>         
      
      
      <!--- //////////////////////////////////////////////////////////
      /////////////////  MEDICAMENTOS /////////////////////////////////
      /////////////////////////////////////////////////////////////////--->
      <p></p>
      <table align='center' border="1" width="960">  
        <tr>
         <td class='subtutulosTabla' align='left' colspan='4'>MEDICAMENTOS</td> 
        </tr>
        
        <tr>    
          <td class="negrita" align="left">Ingrese la palabra (o parte de ella) a buscar y toque la 'Lupa'- o Toque la 'Lupa' para presentar toda la lista</td>
          <td rowspan="5" align="center"> 
             <input type="submit" name="btnMed" value="Adicionar Medicamentos" style="width:150;height:60"/> 
           </td>
        </tr>
        
        <tr>
          <td>
            <input type="text" name="tres" id="tres" size="45" />
            <!--<button onclick="abrirMed();">Buscar Medicamento</button>--> 
            <input onclick="abrirMed();" type=image src="imagenes/lupa.jpg" width="35" height="22">
          </td>
        </tr> 
        
        <tr>  
          <td>
            <textarea rows="1" cols="20" wrap="soft" name="coMed_s" id="coMed_s" readonly="readonly"></textarea> 
            <textarea rows="1" cols="60" wrap="soft" name="noMed_s" id="noMed_s" readonly="readonly"></textarea>    
          </td>
        </tr>
        
        <tr>
          <td align="left" class="camposTabla">Observaciones para el medicamento
            <textarea rows="2" cols="70" wrap="soft" name="medObserva" id="medObserva"></textarea>
          </td>
        </tr>   
      </table>
      
      <?php 
        //arma tabla de medicamentos elegidos
         $query = " SELECT B.codMedPos, A.nombre, A.concentracion, B.observaciones" .
                  " FROM SIME_MED_POS A, SIO_MEDICAMENTOS B ".
                  " WHERE A.codigo = B.codMedPos AND ". 
                  "       B.numConsulta = '$nConsulta' ";              
        $result = mysql_query($query) or die('Consulta de medicamentos fallida: ' . mysql_error());
        
        $i=0;
        while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
          $codMed    = $line["codMedPos"];
          $nomMed    = $line["nombre"];
          $nomMed    = $nomMed ." / " . $line['concentracion'];
          $observa   = $line["observaciones"];
       
          echo("<table class='camposTabla' align='center' width='960' border='1' cellpading='0'>\n");
             //echo ("<form method='post' action='historiaClinica.php'>\n");
              if ($i==0){// para mostrar titulos 
                 echo ("<tr>\n");
                   echo   ("<td class='subtutulosTabla' align='center' colspan='4'>LISTA DE MEDICAMENTOS</td>\n");
                 echo("</tr>\n");
                 echo("<tr>\n");
                  echo("<td width='15%' class='negrita'>Toque para eliminar</td>\n");
                  echo("<td width='43%' class='negrita'>Nombre</td>\n");
                  echo("<td width='42%' class='negrita'>Observaciones</td>\n");
                echo("</tr>\n");
              }
          
          echo("<td width='15%' align='center'><input type='submit' id='BorrarMed' name='BorrarMed' value='$codMed' style='width:150'></td>\n");
          echo("<td width='43%' class='camposTabla' align='left'>$nomMed</td>\n");
          echo("<td width='42%' class='camposTabla' align='left'>$observa</td>\n");
          echo("</tr>\n");
        
          $i = $i+1;
        }//while
        
        if ($i>0)
        {
          $ldm=$nConsulta ."/". $s_tipoId ."/" .$s_identifica;
          $lDM = base64_encode($ldm);
        ?>
        <td align="right" colspan="3"> 
           <a href=sioImpMedi.php?lin=<?=$lDM?> target='_new'><img src="imagenes/impMed.jpg"></a>
        </td>
        <?php
        }
        echo("</table>\n");
        // Liberar resultados
        mysql_free_result($result);
      ?>
      
      <input type="hidden" name="yaGrabo" value="<?=$s_yaGrabo?>" />
      <input type="hidden" name="grabaPac" value="<?=$grabaPaciente?>" /> 
      <input type="hidden" name="nConsulta" value="<?=$nConsulta?>" /> 
   </form> 
   
   <table align="center" border="1" width="960">
   <tr>
     <td align="left"> 
       <a href=menuOpciones.php title="Men&uacute; Principal" onclick='return confirmation1()' ><img src="imagenes/btnVol.jpg"></a>
     </td>          
     <td width "70%" align="left" class="negrita">Para terminar toque la opci&oacute;n de  VOLVER</td>
    </tr>
   </table>
   
   <script type="text/javascript">
     function abrirMed() {
      var valor1 = document.getElementById("tres").value; 
      var valor2 = "";
   
      //window.open("sioLstMd.php?v1="+valor1+"&v2="+valor2+" location=no,menubar=no,titlebar=no,resizable=no,toolbar=no, menubar=no,width=500,height=500");
      open("sioLstMd.php?v1="+valor1+"&v2="+valor2+"",'','location=no,menubar=no,titlebar=no,resizable=no,toolbar=no, menubar=no, top=300,left=300,width=800,height=300') ; 
    }   
   </script>
 </body> 
</html>      
      